"use strict";
var CHANNEL_ID = 30;
var Platform = { XIAOMI_QUICKGAME: CHANNEL_ID };
var CHONGZHI_CHANNEL = { P_XIAOMI_QUICKGAME: CHANNEL_ID };
window.__G4Settings = Object.assign(window.__G4Settings || {}, { channel_id: CHANNEL_ID });
var login_session = "";
var appAccountId = "";
var extra = "";
var SDKObject = {
    g4_init: function (cb) {
        console.log('xiaomiqg');
        cb(true);
    },
    g4_login: function (param, cb) {
        qg.login({
            success: function (res) {
                console.log(JSON.stringify(res));
                var open_id = res.data.appAccountId.toString();
                var access_token = res.data.session;
                login_session = access_token;
                appAccountId = open_id;
                cb === null || cb === void 0 ? void 0 : cb({
                    userID: open_id,
                    platform: Platform.XIAOMI_QUICKGAME,
                    device: null,
                    external: access_token
                });
            },
            fail: function (res) {
                cb === null || cb === void 0 ? void 0 : cb({ userID: undefined, platform: 0, device: undefined });
                console.log(JSON.stringify(res));
            },
            complete: function (res) {
            }
        });
    },
    g4_logout: function (cb) {
        cb && cb(1);
    },
    g4_getPayParam: function (param, cb) {
        cb && cb({ channel: CHONGZHI_CHANNEL.P_XIAOMI_QUICKGAME, appAccountId: Number(appAccountId), session: login_session });
    },
    g4_pay: function (param, cb) {
        var orderParam = JSON.parse(param.param);
        qg.pay({
            orderInfo: orderParam,
            success: function (res) {
                console.log(JSON.stringify(res));
                cb(1);
            },
            fail: function (res) {
                console.log(JSON.stringify(res));
                cb(-1);
            },
            complete: function (res) {
            }
        });
    },
    g4_pay_success: function (param, cb) {
        cb && cb(0);
    },
    g4_pay_self: function (param, cb) {
        if (cb) {
            cb(0);
        }
        console.log("打桩——pay_self:", param);
    },
    g4_checkPoint: function (param) {
    },
    g4_checkPointBuy: function (param) {
        console.log("打桩——checkPointBuy:", param);
    },
    g4_checkPointMissionBegin: function (id) {
        console.log("打桩——关卡开始:" + id);
    },
    g4_checkPointMissionCompleted: function (id) {
        console.log("打桩——关卡成功:" + id);
    },
    g4_checkPointMissionFailed: function (id, cause) {
        console.log("打桩——关卡失败:" + id + "|" + cause);
    },
    g4_checkPointLogin: function (param) {
        console.log("g4_checkPointLogin:", param);
    },
    g4_account: function (param, cb) {
        console.log("打桩--account:");
        cb && cb(0);
    },
    g4_share: function (param, cb) {
        if (cb) {
            cb(0);
        }
        console.log("打桩——share:", param);
    },
    g4_addShortcutDesktop: function (cb) {
        if (cb) {
            cb(0);
        }
        console.log("打桩——g4_addShortcutDesktop");
    },
    g4_copy: function (str) {
        qg.setClipboardData({
            data: str,
            success: function (res) {
                qg.showToast({ message: "复制成功" });
            },
            fail: function (res) { },
            complete: function (res) { }
        });
    },
    g4_paste: function (cb) {
        qg.getClipboardData({
            success: function (res) {
                cb(res.data);
            },
            fail: function (res) { },
            complete: function (res) { }
        });
    },
    g4_getNotchHeight: function (param, cb) {
        var info = qg.getSystemInfoSync();
        if (info.screenWidth / info.screenHeight > 1.8)
            return 40;
        else
            return 0;
    },
    g4_checkPointNewUser: function (user) { },
    g4_bindPhone: function () { return null; },
    g4_isVisitor: function () { return false; },
    g4_checkPointCustom: function (mark, custom) { },
    g4_certRealName: function () { },
    g4_certRealNameStatus: function () {
        console.log("g4_certRealNameStatus");
        return 0;
    },
    g4_set_extra: function (param) {
        this.extra = param;
    },
    sdkManager: undefined,
    platformSDK: {
        getStorageSync: function (obj) { return localStorage.getItem(obj.key) || obj.default; },
        setStorageSync: function (obj) { localStorage.setItem(obj.key, obj.value); },
        request: function (obj) { var _a; (_a = obj.fail) === null || _a === void 0 ? void 0 : _a.call(obj, "", 400); return { abort: function () { } }; },
        exitMiniProgram: function () { return qg.exitApplication(); },
        showDialog: function (obj) {
            qg.showModal({
                title: obj.title || "",
                content: obj.message || "",
                showCancel: true,
                confirmText: "确认",
                cancelText: "取消",
                success: function (res) {
                    var _a, _b;
                    if (res.confirm)
                        (_a = obj.success) === null || _a === void 0 ? void 0 : _a.call(obj, { index: 0 });
                    else
                        (_b = obj.cancel) === null || _b === void 0 ? void 0 : _b.call(obj);
                },
                fail: function () {
                    var _a;
                    (_a = obj.cancel) === null || _a === void 0 ? void 0 : _a.call(obj);
                }
            });
        },
        installShortcut: function (obj) {
            var _a;
            (_a = qg.getShortcut()) === null || _a === void 0 ? void 0 : _a.install(obj);
        },
        hasShortcutInstalled: function (obj) {
            var _a;
            (_a = qg.getShortcut()) === null || _a === void 0 ? void 0 : _a.hasInstalled(obj);
        }
    },
    Ad: {
        enable: true,
        showRewardVideoAd: function (obj) {
            var _this = this;
            var _a, _b;
            if (!this.enable) {
                (_a = obj.fail) === null || _a === void 0 ? void 0 : _a.call(obj, "功能未开放");
                return;
            }
            if (!qg.createRewardedVideoAd) {
                (_b = obj.fail) === null || _b === void 0 ? void 0 : _b.call(obj, "不支持激励视频");
                return;
            }
            if (!this.inited) {
                this.inited = true;
                this.videoAd = qg.createRewardedVideoAd({ adUnitId: "65985808ce61395cca19f714db664a49" });
                this.videoAd.onClose(function (res) {
                    if (res && res.isEnded || res === undefined) {
                        _this.obj && _this.obj.success && _this.obj.success(null);
                        _this.obj && _this.obj.complete && _this.obj.complete(null);
                    }
                    else {
                        _this.obj && _this.obj.fail && _this.obj.fail("中途退出,不下发奖励");
                        _this.obj && _this.obj.complete && _this.obj.complete(null);
                    }
                });
            }
            this.obj = obj;
            this.videoAd.load()
                .then(function () { return _this.videoAd.show(); })
                .catch(function (err) {
                console.warn(err);
                obj.fail && obj.fail(err);
                obj.complete && obj.complete(null);
            });
        }
    },
};
window.__g4_sdk__ = SDKObject;
